package sorting;

import java.util.Random;

public class RadixSortTest {

	public static void main(String argv[]) {
		
		/* TEST 1:  sort an array with one element*/
		System.out.println("TEST 1:  sort an array with one element");
		String[] a = new String[1];
		a[0] = "HALLO";
		String[] a2 = a.clone();
		RadixSort.radixSort(a);	
		if(java.util.Arrays.equals(a,a2)) {
			System.out.println("Test successful");
		} else {
			System.out.println("Test failed");				
		}
		
		
		
		
		/* TEST 2:  sort an array with 10 elements */
		System.out.println("TEST 2:  sort an array with 10 elements");
		String[] b = {"F", "F", "VZP", "QTG", "FU", "D", "QDRPT", "LCCMA", "XUQML", "ZRT" };
		String[] b2 ={"D", "F", "F", "FU", "LCCMA", "QDRPT", "QTG", "VZP", "XUQML", "ZRT" }; 
		RadixSort.radixSort(b);	
		if(java.util.Arrays.equals(b,b2)) {
			System.out.println("Test successful");
		} else {
			System.out.println("Test failed");				
		}
	 
		/* TEST 3:  sort an array with 10 elements */
		System.out.println("TEST 3:  sort an array with 10 elements");
		String[] c = {"OTXNB", "EXH", "SLQ", "ENLOE", "Y", "SQBCN", "X", "U" ,"WOPEG", "GAZ"};
		String[] c2 ={"ENLOE", "EXH", "GAZ", "OTXNB", "SLQ" ,"SQBCN", "U", "WOPEG", "X", "Y" }; 
		RadixSort.radixSort(c);	
		if(java.util.Arrays.equals(c,c2)) {
			System.out.println("Test successful");
		} else {
			System.out.println("Test failed");				
		}
		

		/* TEST 4:  sort an array with 100 elements */
		System.out.println("TEST 3:  sort an array with 100 elements");
		String[] d = {"EYMZHIOCBXGNJALZAR", "HIRTVYIJRNZHMIJFSFJN", "HOQRCWE", "CMGUWDAEHNS", "KRIZB", "PYUQMDGPFSPCQ", "FYSRWAASO", "MPVVS", "L", "UVRRDE", "DGJBFTEOQ", "MR", "OOOWYXKOYWRDS", "INXWFUSHWMVOHPELOTNZ", "MEMJDFCDQ", "FVIKBLRTFO", "XD", "GVOIFRXIXFAASMQUY", "XVPBFSXYIER", "UZHLDBSTNLOJULGLQTM", "VQUZFOLTIICAFB", "VUJVAXQSGMVT", "ZOXE", "OVIYPITQKQB", "MMFJZZRDFRNXLBXON", "BTYGTGV", "YOYGWCITDKHADXZWAM", "ZBTIWY", "KOBGC", "ZEXKXSOUSN", "ZKHDOOQPNCVLEMDW", "DJ", "XTADLPWE", "ARPYTVQOCCBSAJW", "JNHUGR", "QENELVSIULW", "NA", "YIVLNYCZML", "RDQRADPOUBCX", "QTJKWZRPXD", "YEVOSTQOZOFBJVHED", "QWSPFOSRIZJNDXS", "RCMNZQFPWUTZGGJFX", "SIKIBERPUXHFWDKT", "LXXCUQDUZRTC", "FVBYVVNXATQPCSYKUF", "YPMSNZJUKOCKQIRHTPMW", "XCAHNML", "SHMSZB", "ARGG", "YGAEAKGYJDVD", "L", "UFBSPKVGWSIERWFRLVKQ", "ANC", "CQGD", "FLDZFAKNTQHVWKGQMB", "KULQIKHRAULJAVCDIH", "KVSXEVSLJZPLXB", "OQBS", "DFLPXCAPXKL", "RSKZDUWNDNCW", "KXTKDAHDMAPSPQFV", "ZANPAGTSHMTLDOCEUQN", "QBLODJPYSNPQ", "AZWCVHEJNCSPVHIKNXZL", "TGKVTNFLWHLCMSPLRT", "HNOUSTL", "HY", "PXDWJYWQKTHXYKGGM", "OWCUHMNQTCGQBNGXTJZM", "CCIFFWD", "ODVPGK", "VINCP", "RUUUXQVHGIZNRDH", "PZ", "ZJFFFMIKSHAUQQJC", "VPMSZWWUCGTUDYKMBO", "XOTFZIA", "GRPZYMWRLGYNOMLIME", "NXMXAJ", "ZIJATOCDYZPGCOK", "TEVQMXYPUSYVMIWU", "XVQMEJGFGMVUYPDGAQR", "UJWO", "Y", "EDNNUXTVFVFVCWBAUBTU", "JQHIQKNIVCPDOQ", "IADYCCVNNA", "EIWVOKNZJEQIOKTIJ", "AAMNLDYGMJKB", "NN", "GEHWTFKQUSDAZIUC", "HGBMHO", "LMYCLTV", "XXZJTQF", "FDIEMSNKYQRAXRK", "VCYMSFMJCQ", "U", "YHCSYRPDXOLK", "XZCRTVCIYLWZPPEBEP" };
		String[] d2 ={"AAMNLDYGMJKB", "ANC", "ARGG", "ARPYTVQOCCBSAJW", "AZWCVHEJNCSPVHIKNXZL", "BTYGTGV", "CCIFFWD", "CMGUWDAEHNS", "CQGD", "DFLPXCAPXKL", "DGJBFTEOQ", "DJ", "EDNNUXTVFVFVCWBAUBTU", "EIWVOKNZJEQIOKTIJ", "EYMZHIOCBXGNJALZAR", "FDIEMSNKYQRAXRK", "FLDZFAKNTQHVWKGQMB", "FVBYVVNXATQPCSYKUF", "FVIKBLRTFO", "FYSRWAASO", "GEHWTFKQUSDAZIUC", "GRPZYMWRLGYNOMLIME", "GVOIFRXIXFAASMQUY", "HGBMHO", "HIRTVYIJRNZHMIJFSFJN", "HNOUSTL", "HOQRCWE", "HY", "IADYCCVNNA", "INXWFUSHWMVOHPELOTNZ", "JNHUGR", "JQHIQKNIVCPDOQ", "KOBGC", "KRIZB", "KULQIKHRAULJAVCDIH", "KVSXEVSLJZPLXB", "KXTKDAHDMAPSPQFV", "L", "L", "LMYCLTV", "LXXCUQDUZRTC", "MEMJDFCDQ", "MMFJZZRDFRNXLBXON", "MPVVS", "MR", "NA", "NN", "NXMXAJ", "ODVPGK", "OOOWYXKOYWRDS", "OQBS", "OVIYPITQKQB", "OWCUHMNQTCGQBNGXTJZM", "PXDWJYWQKTHXYKGGM", "PYUQMDGPFSPCQ", "PZ", "QBLODJPYSNPQ", "QENELVSIULW", "QTJKWZRPXD", "QWSPFOSRIZJNDXS", "RCMNZQFPWUTZGGJFX", "RDQRADPOUBCX", "RSKZDUWNDNCW", "RUUUXQVHGIZNRDH", "SHMSZB", "SIKIBERPUXHFWDKT", "TEVQMXYPUSYVMIWU", "TGKVTNFLWHLCMSPLRT", "U", "UFBSPKVGWSIERWFRLVKQ", "UJWO", "UVRRDE", "UZHLDBSTNLOJULGLQTM", "VCYMSFMJCQ", "VINCP", "VPMSZWWUCGTUDYKMBO", "VQUZFOLTIICAFB", "VUJVAXQSGMVT", "XCAHNML", "XD", "XOTFZIA", "XTADLPWE", "XVPBFSXYIER", "XVQMEJGFGMVUYPDGAQR", "XXZJTQF", "XZCRTVCIYLWZPPEBEP", "Y", "YEVOSTQOZOFBJVHED", "YGAEAKGYJDVD", "YHCSYRPDXOLK", "YIVLNYCZML", "YOYGWCITDKHADXZWAM", "YPMSNZJUKOCKQIRHTPMW", "ZANPAGTSHMTLDOCEUQN", "ZBTIWY", "ZEXKXSOUSN", "ZIJATOCDYZPGCOK", "ZJFFFMIKSHAUQQJC", "ZKHDOOQPNCVLEMDW", "ZOXE" };
		RadixSort.radixSort(d);	
		if(java.util.Arrays.equals(d,d2)) {
			System.out.println("Test successful");
		} else {
			System.out.println("Test failed");				
		}
	}
}
